Aller au contenu
Esc
↑↓naviguer↵ouvrir⌘Japerçu

Update a contact

PATCH/contacts/{id}
Autorisation
AuthorizationJeton Bearer · headerrequis

A BillionSend API key (bs_…).

Paramètres de chemin
idstringrequis
longueur min 1
Corps de la requête
application/json
first_namestring | null

First name; null clears it

last_namestring | null

Last name; null clears it

unsubscribedboolean

Global opt-out from all marketing sends

propertiesobject

Custom properties to set (merged); null removes a key

Réponses
200

Contact updated

objectstringrequis
Valeurs autorisées :contact
idstring<uuid>requis
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequis
namestringrequis
messagestringrequis
403

An agent acting for a role below owner and admin tried to lift the recipient's own whole-team opt-out

statusCodenumberrequis
namestringrequis
messagestringrequis
404

Not found

statusCodenumberrequis
namestringrequis
messagestringrequis
422

Validation error

statusCodenumberrequis
namestringrequis
messagestringrequis
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequis
namestringrequis
messagestringrequis
Essayer
Serveur
Autorisation
Paramètres
Corpsapplication/json
Requête
curl -X PATCH 'https://api.billionsend.com/contacts/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "first_name": "string",
  "last_name": "string",
  "unsubscribed": true,
  "properties": {
    "property1": null,
    "property2": null
  }
}'
Réponse
{
  "object": "contact",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Cette page vous a-t-elle été utile ?